/*
  VIA GPIO kernel driver header
    K-TEAM SA,
    
    2010.02.09, J. Tharin: first version
    
    
*/

#ifndef __viagpio__
#define __viagpio__


#include <asm/ioctl.h>


#define GPIO_MAGIC 'Z'
#define GPIO_CLEAR _IOWR(GPIO_MAGIC, 0, t_gpio_port)
#define GPIO_SET _IOWR(GPIO_MAGIC, 1, t_gpio_port)
#define GPIO_TEST _IOWR(GPIO_MAGIC, 2, t_gpio_port)


#define VIA_GPIO_MAJOR 241

#define VIA_GPIO_DEVICE_NAME "via_gpio" /* Dev name as it appears in /proc/devices   */



// a structure gpio_port:
typedef struct s_gpio_port{
  unsigned long address;
  unsigned bit;
  int value;
} t_gpio_port;





#endif /* __viagpio__ */
